std::experimental::is_simd_flag_type(3)

NAME
std::experimental::is_simd_flag_type - std::experimental::is_simd_flag_type

Synopsis
   Defined in header <experimental/simd>
   template< class T > (parallelism TS v2)
   struct is_simd_flag_type;
   If T is a valid type for the second argument to copy_from, copy_to or the
   corresponding load constructors of simd or simd_mask, provides the member constant
   value equal true. For any other type, value is false.

Template parameters
   T - a type to check
  Helper variable template
   template< class T >
   inline constexpr bool is_simd_flag_type_v = (parallelism TS v2)
   is_simd_flag_type<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is a load/store flag tag type , false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Example
// Run this code
 #include <experimental/simd>
 #include <iostreams>
 int main()
 {
     namespace stdx = std::experimental;
     std::cout << stdx::is_simd_flag_type_v<stdx::element_aligned_tag> << '\n';
     std::cout << stdx::is_simd_flag_type_v<int> << '\n';
 }

Output:
 true
 false

See also
   is_abi_tag checks if a type is an ABI tag type
   (parallelism TS v2) (class template)